=== facebook/icons/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
# Copyright (c) 2015, Alexander Potashev, <aspotashev@gmail.com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ecm_install_icons(
    ICONS
        16-apps-kipi-facebook.png
        22-apps-kipi-facebook.png
        32-apps-kipi-facebook.png
        48-apps-kipi-facebook.png
        sc-apps-kipi-facebook.svgz
    DESTINATION ${ICON_INSTALL_DIR}
)
