=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libkf5kipi-dev,
+               libkf5kipi-dev (>= 4:20.12.3~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.18.0~),
                libkf5xmlgui-dev (>= 5.18.0~),
