=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kipi-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Pino Toscano <pino@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.18.0~),
@@ -13,7 +12,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libkf5kipi-dev (>= 5.0.0~),
+               libkf5kipi-dev (>= 4:22.08.1~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.18.0~),
                libkf5xmlgui-dev (>= 5.18.0~),
@@ -22,19 +21,19 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kipi_plugins
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kipi-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kipi-plugins
 
 Package: kipi-plugins
 Architecture: any
 Multi-Arch: same
 Depends: kipi-plugins-common (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: enblend, enfuse, hugin, imagemagick, minidlna
+         ${shlibs:Depends}
+Recommends: imagemagick, hugin, enblend, enfuse, minidlna
 Suggests: gimp, kmail, konqueror, vorbis-tools
 Enhances: gwenview, kde-spectacle
 Description: image manipulation/handling plugins for KIPI aware programs
