=== debian/control ===
--- 
+++ 
@@ -34,9 +34,9 @@
 Depends: kipi-plugins-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: enblend, enfuse, hugin, imagemagick, minidlna
-Suggests: gimp, kmail, konqueror, vorbis-tools
-Enhances: gwenview, kde-spectacle
+Recommends: enblend, enfuse, hugin, imagemagick, minidlna,
+Suggests: gimp, kmail, konqueror, vorbis-tools,
+Enhances: gwenview, kde-spectacle,
 Description: image manipulation/handling plugins for KIPI aware programs
  KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
  common plugin structure.
@@ -45,7 +45,7 @@
 Package: kipi-plugins-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: kipi-plugins architecture-independent data
  KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
  common plugin structure.
