=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5config-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.85.0~),
                libkf5kio-dev (>= 5.85.0~),
-               libkf5kipi-dev (>= 4:23.08.1~),
+               libkf5kipi-dev (>= 4:23.08.4~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.85.0~),
                libkf5xmlgui-dev (>= 5.85.0~),
